1. Packages
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. Dns
  6. getResolvers
Viewing docs for Oracle Cloud Infrastructure v4.19.0
published on Thursday, Jul 9, 2026 by Pulumi
oci logo
Viewing docs for Oracle Cloud Infrastructure v4.19.0
published on Thursday, Jul 9, 2026 by Pulumi

    This data source provides the list of Resolvers in Oracle Cloud Infrastructure DNS service.

    Gets a list of all resolvers within a compartment.

    The collection can be filtered by display name, id, or lifecycle state. It can be sorted on creation time or displayName both in ASC or DESC order. Note that when no lifecycleState query parameter is provided, the collection does not include resolvers in the DELETED lifecycleState to be consistent with other operations of the API.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testResolvers = oci.dns.getResolvers({
        compartmentId: compartmentId,
        scope: "PRIVATE",
        displayName: resolverDisplayName,
        id: resolverId,
        state: resolverState,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_resolvers = oci.dns.get_resolvers(compartment_id=compartment_id,
        scope="PRIVATE",
        display_name=resolver_display_name,
        id=resolver_id,
        state=resolver_state)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/dns"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := dns.GetResolvers(ctx, &dns.GetResolversArgs{
    			CompartmentId: compartmentId,
    			Scope:         "PRIVATE",
    			DisplayName:   pulumi.StringRef(resolverDisplayName),
    			Id:            pulumi.StringRef(resolverId),
    			State:         pulumi.StringRef(resolverState),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testResolvers = Oci.Dns.GetResolvers.Invoke(new()
        {
            CompartmentId = compartmentId,
            Scope = "PRIVATE",
            DisplayName = resolverDisplayName,
            Id = resolverId,
            State = resolverState,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.Dns.DnsFunctions;
    import com.pulumi.oci.Dns.inputs.GetResolversArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testResolvers = DnsFunctions.getResolvers(GetResolversArgs.builder()
                .compartmentId(compartmentId)
                .scope("PRIVATE")
                .displayName(resolverDisplayName)
                .id(resolverId)
                .state(resolverState)
                .build());
    
        }
    }
    
    variables:
      testResolvers:
        fn::invoke:
          function: oci:Dns:getResolvers
          arguments:
            compartmentId: ${compartmentId}
            scope: PRIVATE
            displayName: ${resolverDisplayName}
            id: ${resolverId}
            state: ${resolverState}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_dns_getresolvers" "testResolvers" {
      compartment_id = compartmentId
      scope          = "PRIVATE"
      display_name   = resolverDisplayName
      id             = resolverId
      state          = resolverState
    }
    

    Using getResolvers

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getResolvers(args: GetResolversArgs, opts?: InvokeOptions): Promise<GetResolversResult>
    function getResolversOutput(args: GetResolversOutputArgs, opts?: InvokeOptions): Output<GetResolversResult>
    def get_resolvers(compartment_id: Optional[str] = None,
                      display_name: Optional[str] = None,
                      filters: Optional[Sequence[GetResolversFilter]] = None,
                      id: Optional[str] = None,
                      scope: Optional[str] = None,
                      state: Optional[str] = None,
                      opts: Optional[InvokeOptions] = None) -> GetResolversResult
    def get_resolvers_output(compartment_id: pulumi.Input[Optional[str]] = None,
                      display_name: pulumi.Input[Optional[str]] = None,
                      filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetResolversFilterArgs]]]] = None,
                      id: pulumi.Input[Optional[str]] = None,
                      scope: pulumi.Input[Optional[str]] = None,
                      state: pulumi.Input[Optional[str]] = None,
                      opts: Optional[InvokeOptions] = None) -> Output[GetResolversResult]
    func GetResolvers(ctx *Context, args *GetResolversArgs, opts ...InvokeOption) (*GetResolversResult, error)
    func GetResolversOutput(ctx *Context, args *GetResolversOutputArgs, opts ...InvokeOption) GetResolversResultOutput

    > Note: This function is named GetResolvers in the Go SDK.

    public static class GetResolvers 
    {
        public static Task<GetResolversResult> InvokeAsync(GetResolversArgs args, InvokeOptions? opts = null)
        public static Output<GetResolversResult> Invoke(GetResolversInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetResolversResult> getResolvers(GetResolversArgs args, InvokeOptions options)
    public static Output<GetResolversResult> getResolvers(GetResolversArgs args, InvokeOptions options)
    
    fn::invoke:
      function: oci:Dns/getResolvers:getResolvers
      arguments:
        # arguments dictionary
    data "oci_dns_getresolvers" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    The OCID of the compartment the resource belongs to.
    Scope string
    Value must be PRIVATE when listing private resolvers.
    DisplayName string
    The displayName of a resource.
    Filters List<GetResolversFilter>
    Id string
    The OCID of a resource.
    State string
    The state of a resource.
    CompartmentId string
    The OCID of the compartment the resource belongs to.
    Scope string
    Value must be PRIVATE when listing private resolvers.
    DisplayName string
    The displayName of a resource.
    Filters []GetResolversFilter
    Id string
    The OCID of a resource.
    State string
    The state of a resource.
    compartment_id string
    The OCID of the compartment the resource belongs to.
    scope string
    Value must be PRIVATE when listing private resolvers.
    display_name string
    The displayName of a resource.
    filters list(object)
    id string
    The OCID of a resource.
    state string
    The state of a resource.
    compartmentId String
    The OCID of the compartment the resource belongs to.
    scope String
    Value must be PRIVATE when listing private resolvers.
    displayName String
    The displayName of a resource.
    filters List<GetResolversFilter>
    id String
    The OCID of a resource.
    state String
    The state of a resource.
    compartmentId string
    The OCID of the compartment the resource belongs to.
    scope string
    Value must be PRIVATE when listing private resolvers.
    displayName string
    The displayName of a resource.
    filters GetResolversFilter[]
    id string
    The OCID of a resource.
    state string
    The state of a resource.
    compartment_id str
    The OCID of the compartment the resource belongs to.
    scope str
    Value must be PRIVATE when listing private resolvers.
    display_name str
    The displayName of a resource.
    filters Sequence[GetResolversFilter]
    id str
    The OCID of a resource.
    state str
    The state of a resource.
    compartmentId String
    The OCID of the compartment the resource belongs to.
    scope String
    Value must be PRIVATE when listing private resolvers.
    displayName String
    The displayName of a resource.
    filters List<Property Map>
    id String
    The OCID of a resource.
    state String
    The state of a resource.

    getResolvers Result

    The following output properties are available:

    CompartmentId string
    The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
    Resolvers List<GetResolversResolver>
    The list of resolvers.
    Scope string
    DisplayName string
    The display name of the resolver.
    Filters List<GetResolversFilter>
    Id string
    The OCID of the resolver.
    State string
    The current state of the resource.
    CompartmentId string
    The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
    Resolvers []GetResolversResolver
    The list of resolvers.
    Scope string
    DisplayName string
    The display name of the resolver.
    Filters []GetResolversFilter
    Id string
    The OCID of the resolver.
    State string
    The current state of the resource.
    compartment_id string
    The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
    resolvers list(object)
    The list of resolvers.
    scope string
    display_name string
    The display name of the resolver.
    filters list(object)
    id string
    The OCID of the resolver.
    state string
    The current state of the resource.
    compartmentId String
    The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
    resolvers List<GetResolversResolver>
    The list of resolvers.
    scope String
    displayName String
    The display name of the resolver.
    filters List<GetResolversFilter>
    id String
    The OCID of the resolver.
    state String
    The current state of the resource.
    compartmentId string
    The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
    resolvers GetResolversResolver[]
    The list of resolvers.
    scope string
    displayName string
    The display name of the resolver.
    filters GetResolversFilter[]
    id string
    The OCID of the resolver.
    state string
    The current state of the resource.
    compartment_id str
    The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
    resolvers Sequence[GetResolversResolver]
    The list of resolvers.
    scope str
    display_name str
    The display name of the resolver.
    filters Sequence[GetResolversFilter]
    id str
    The OCID of the resolver.
    state str
    The current state of the resource.
    compartmentId String
    The OCID of the owning compartment. This will match the resolver that the resolver endpoint is under and will be updated if the resolver's compartment is changed.
    resolvers List<Property Map>
    The list of resolvers.
    scope String
    displayName String
    The display name of the resolver.
    filters List<Property Map>
    id String
    The OCID of the resolver.
    state String
    The current state of the resource.

    Supporting Types

    GetResolversFilter

    Name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    Values List<string>
    Regex bool
    Name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    Values []string
    Regex bool
    name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    values list(string)
    regex bool
    name String
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    values List<String>
    regex Boolean
    name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    values string[]
    regex boolean
    name str
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    values Sequence[str]
    regex bool
    name String
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    values List<String>
    regex Boolean

    GetResolversResolver

    AttachedVcnId string
    The OCID of the attached VCN.
    AttachedViews List<GetResolversResolverAttachedView>
    CompartmentId string
    The OCID of the compartment the resource belongs to.
    DefaultViewId string
    The OCID of the default view.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    DisplayName string
    The displayName of a resource.
    Endpoints List<GetResolversResolverEndpoint>
    Read-only array of endpoints for the resolver.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    Id string
    The OCID of a resource.
    IsProtected bool
    A Boolean flag indicating whether or not parts of the resource are unable to be explicitly managed.
    ResolverId string
    The OCID of the resolver.
    Rules List<GetResolversResolverRule>
    Scope string
    Value must be PRIVATE when listing private resolvers.
    Self string
    The canonical absolute URL of the resource.
    State string
    The state of a resource.
    TimeCreated string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    TimeUpdated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    AttachedVcnId string
    The OCID of the attached VCN.
    AttachedViews []GetResolversResolverAttachedView
    CompartmentId string
    The OCID of the compartment the resource belongs to.
    DefaultViewId string
    The OCID of the default view.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    DisplayName string
    The displayName of a resource.
    Endpoints []GetResolversResolverEndpoint
    Read-only array of endpoints for the resolver.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    Id string
    The OCID of a resource.
    IsProtected bool
    A Boolean flag indicating whether or not parts of the resource are unable to be explicitly managed.
    ResolverId string
    The OCID of the resolver.
    Rules []GetResolversResolverRule
    Scope string
    Value must be PRIVATE when listing private resolvers.
    Self string
    The canonical absolute URL of the resource.
    State string
    The state of a resource.
    TimeCreated string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    TimeUpdated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    attached_vcn_id string
    The OCID of the attached VCN.
    attached_views list(object)
    compartment_id string
    The OCID of the compartment the resource belongs to.
    default_view_id string
    The OCID of the default view.
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    display_name string
    The displayName of a resource.
    endpoints list(object)
    Read-only array of endpoints for the resolver.
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id string
    The OCID of a resource.
    is_protected bool
    A Boolean flag indicating whether or not parts of the resource are unable to be explicitly managed.
    resolver_id string
    The OCID of the resolver.
    rules list(object)
    scope string
    Value must be PRIVATE when listing private resolvers.
    self string
    The canonical absolute URL of the resource.
    state string
    The state of a resource.
    time_created string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    time_updated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    attachedVcnId String
    The OCID of the attached VCN.
    attachedViews List<GetResolversResolverAttachedView>
    compartmentId String
    The OCID of the compartment the resource belongs to.
    defaultViewId String
    The OCID of the default view.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    displayName String
    The displayName of a resource.
    endpoints List<GetResolversResolverEndpoint>
    Read-only array of endpoints for the resolver.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id String
    The OCID of a resource.
    isProtected Boolean
    A Boolean flag indicating whether or not parts of the resource are unable to be explicitly managed.
    resolverId String
    The OCID of the resolver.
    rules List<GetResolversResolverRule>
    scope String
    Value must be PRIVATE when listing private resolvers.
    self String
    The canonical absolute URL of the resource.
    state String
    The state of a resource.
    timeCreated String
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    timeUpdated String
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    attachedVcnId string
    The OCID of the attached VCN.
    attachedViews GetResolversResolverAttachedView[]
    compartmentId string
    The OCID of the compartment the resource belongs to.
    defaultViewId string
    The OCID of the default view.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    displayName string
    The displayName of a resource.
    endpoints GetResolversResolverEndpoint[]
    Read-only array of endpoints for the resolver.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id string
    The OCID of a resource.
    isProtected boolean
    A Boolean flag indicating whether or not parts of the resource are unable to be explicitly managed.
    resolverId string
    The OCID of the resolver.
    rules GetResolversResolverRule[]
    scope string
    Value must be PRIVATE when listing private resolvers.
    self string
    The canonical absolute URL of the resource.
    state string
    The state of a resource.
    timeCreated string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    timeUpdated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    attached_vcn_id str
    The OCID of the attached VCN.
    attached_views Sequence[GetResolversResolverAttachedView]
    compartment_id str
    The OCID of the compartment the resource belongs to.
    default_view_id str
    The OCID of the default view.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    display_name str
    The displayName of a resource.
    endpoints Sequence[GetResolversResolverEndpoint]
    Read-only array of endpoints for the resolver.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id str
    The OCID of a resource.
    is_protected bool
    A Boolean flag indicating whether or not parts of the resource are unable to be explicitly managed.
    resolver_id str
    The OCID of the resolver.
    rules Sequence[GetResolversResolverRule]
    scope str
    Value must be PRIVATE when listing private resolvers.
    self str
    The canonical absolute URL of the resource.
    state str
    The state of a resource.
    time_created str
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    time_updated str
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    attachedVcnId String
    The OCID of the attached VCN.
    attachedViews List<Property Map>
    compartmentId String
    The OCID of the compartment the resource belongs to.
    defaultViewId String
    The OCID of the default view.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    displayName String
    The displayName of a resource.
    endpoints List<Property Map>
    Read-only array of endpoints for the resolver.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id String
    The OCID of a resource.
    isProtected Boolean
    A Boolean flag indicating whether or not parts of the resource are unable to be explicitly managed.
    resolverId String
    The OCID of the resolver.
    rules List<Property Map>
    scope String
    Value must be PRIVATE when listing private resolvers.
    self String
    The canonical absolute URL of the resource.
    state String
    The state of a resource.
    timeCreated String
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    timeUpdated String
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.

    GetResolversResolverAttachedView

    ViewId string
    ViewId string
    view_id string
    viewId String
    viewId string
    viewId String

    GetResolversResolverEndpoint

    CompartmentId string
    The OCID of the compartment the resource belongs to.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    EndpointType string
    The type of resolver endpoint. VNIC is currently the only supported type.
    ForwardingAddress string
    An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    Id string
    The OCID of a resource.
    IsForwarding bool
    A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
    IsListening bool
    A Boolean flag indicating whether or not the resolver endpoint is for listening.
    ListeningAddress string
    An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
    Name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    PeId string
    The OCID of the private endpoint resource that this resolver endpoint corresponds to.
    ResolverId string
    The OCID of the resolver.
    SecurityAttributes Dictionary<string, string>
    Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example: {"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}}
    Self string
    The canonical absolute URL of the resource.
    State string
    The state of a resource.
    SubnetId string
    The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
    TimeCreated string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    TimeUpdated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    VnicId string
    The OCID of the VNIC resource that this resolver endpoint corresponds to.
    CompartmentId string
    The OCID of the compartment the resource belongs to.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    EndpointType string
    The type of resolver endpoint. VNIC is currently the only supported type.
    ForwardingAddress string
    An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    Id string
    The OCID of a resource.
    IsForwarding bool
    A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
    IsListening bool
    A Boolean flag indicating whether or not the resolver endpoint is for listening.
    ListeningAddress string
    An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
    Name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    PeId string
    The OCID of the private endpoint resource that this resolver endpoint corresponds to.
    ResolverId string
    The OCID of the resolver.
    SecurityAttributes map[string]string
    Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example: {"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}}
    Self string
    The canonical absolute URL of the resource.
    State string
    The state of a resource.
    SubnetId string
    The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
    TimeCreated string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    TimeUpdated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    VnicId string
    The OCID of the VNIC resource that this resolver endpoint corresponds to.
    compartment_id string
    The OCID of the compartment the resource belongs to.
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    endpoint_type string
    The type of resolver endpoint. VNIC is currently the only supported type.
    forwarding_address string
    An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id string
    The OCID of a resource.
    is_forwarding bool
    A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
    is_listening bool
    A Boolean flag indicating whether or not the resolver endpoint is for listening.
    listening_address string
    An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
    name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    pe_id string
    The OCID of the private endpoint resource that this resolver endpoint corresponds to.
    resolver_id string
    The OCID of the resolver.
    security_attributes map(string)
    Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example: {"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}}
    self string
    The canonical absolute URL of the resource.
    state string
    The state of a resource.
    subnet_id string
    The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
    time_created string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    time_updated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    vnic_id string
    The OCID of the VNIC resource that this resolver endpoint corresponds to.
    compartmentId String
    The OCID of the compartment the resource belongs to.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    endpointType String
    The type of resolver endpoint. VNIC is currently the only supported type.
    forwardingAddress String
    An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id String
    The OCID of a resource.
    isForwarding Boolean
    A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
    isListening Boolean
    A Boolean flag indicating whether or not the resolver endpoint is for listening.
    listeningAddress String
    An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
    name String
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    peId String
    The OCID of the private endpoint resource that this resolver endpoint corresponds to.
    resolverId String
    The OCID of the resolver.
    securityAttributes Map<String,String>
    Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example: {"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}}
    self String
    The canonical absolute URL of the resource.
    state String
    The state of a resource.
    subnetId String
    The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
    timeCreated String
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    timeUpdated String
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    vnicId String
    The OCID of the VNIC resource that this resolver endpoint corresponds to.
    compartmentId string
    The OCID of the compartment the resource belongs to.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    endpointType string
    The type of resolver endpoint. VNIC is currently the only supported type.
    forwardingAddress string
    An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id string
    The OCID of a resource.
    isForwarding boolean
    A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
    isListening boolean
    A Boolean flag indicating whether or not the resolver endpoint is for listening.
    listeningAddress string
    An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
    name string
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    peId string
    The OCID of the private endpoint resource that this resolver endpoint corresponds to.
    resolverId string
    The OCID of the resolver.
    securityAttributes {[key: string]: string}
    Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example: {"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}}
    self string
    The canonical absolute URL of the resource.
    state string
    The state of a resource.
    subnetId string
    The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
    timeCreated string
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    timeUpdated string
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    vnicId string
    The OCID of the VNIC resource that this resolver endpoint corresponds to.
    compartment_id str
    The OCID of the compartment the resource belongs to.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    endpoint_type str
    The type of resolver endpoint. VNIC is currently the only supported type.
    forwarding_address str
    An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id str
    The OCID of a resource.
    is_forwarding bool
    A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
    is_listening bool
    A Boolean flag indicating whether or not the resolver endpoint is for listening.
    listening_address str
    An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
    name str
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    pe_id str
    The OCID of the private endpoint resource that this resolver endpoint corresponds to.
    resolver_id str
    The OCID of the resolver.
    security_attributes Mapping[str, str]
    Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example: {"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}}
    self str
    The canonical absolute URL of the resource.
    state str
    The state of a resource.
    subnet_id str
    The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
    time_created str
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    time_updated str
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    vnic_id str
    The OCID of the VNIC resource that this resolver endpoint corresponds to.
    compartmentId String
    The OCID of the compartment the resource belongs to.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    endpointType String
    The type of resolver endpoint. VNIC is currently the only supported type.
    forwardingAddress String
    An IP address from which forwarded queries may be sent. For VNIC endpoints, this IP address must be part of the subnet and will be assigned by the system if unspecified when isForwarding is true.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags.
    id String
    The OCID of a resource.
    isForwarding Boolean
    A Boolean flag indicating whether or not the resolver endpoint is for forwarding.
    isListening Boolean
    A Boolean flag indicating whether or not the resolver endpoint is for listening.
    listeningAddress String
    An IP address to listen to queries on. For VNIC endpoints this IP address must be part of the subnet and will be assigned by the system if unspecified when isListening is true.
    name String
    The name of the resolver endpoint. Must be unique, case-insensitive, within the resolver.
    peId String
    The OCID of the private endpoint resource that this resolver endpoint corresponds to.
    resolverId String
    The OCID of the resolver.
    securityAttributes Map<String>
    Security attributes are labels for a resource that can be referenced in a Zero Trust Packet Routing (ZPR) policy to control access to ZPR-supported resources. Example: {"Oracle-DataSecurity-ZPR": {"MaxEgressCount": {"value":"42","mode":"audit"}}}
    self String
    The canonical absolute URL of the resource.
    state String
    The state of a resource.
    subnetId String
    The OCID of a subnet. Must be part of the VCN that the resolver is attached to.
    timeCreated String
    The date and time the resource was created in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    timeUpdated String
    The date and time the resource was last updated in "YYYY-MM-ddThh:mm:ssZ" format with a Z offset, as defined by RFC 3339.
    vnicId String
    The OCID of the VNIC resource that this resolver endpoint corresponds to.

    GetResolversResolverRule

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo
    Viewing docs for Oracle Cloud Infrastructure v4.19.0
    published on Thursday, Jul 9, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial